Bug 1729777 - anaconda startup errors on Plasma on Wayland
Summary: anaconda startup errors on Plasma on Wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-14 13:55 UTC by Matt Fagnani
Modified: 2020-05-26 16:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:09:43 UTC
Type: Bug


Attachments (Terms of Use)
/tmp/anaconda.log from running sudo anaconda in Plasma on Wayland (3.87 KB, text/plain)
2019-07-14 13:57 UTC, Matt Fagnani
no flags Details

Description Matt Fagnani 2019-07-14 13:55:03 UTC
Description of problem:

I tried running sudo anaconda in konsole in Plasma on Wayland. Errors indicating that the display server didn't start and gtk couldn't be initialized were shown.

anaconda 30.25.6-4.fc30 for anaconda bluesky (pre-release) started.
 * installation log files are stored in /tmp during the installation
 * shell is available on TTY2 and in second TMUX pane (ctrl+b, then press 2)
 * when reporting a bug add logs from /tmp as separate text/plain attachments
No protocol specified
Unable to init server: Could not connect: Connection refused
No protocol specified
Unable to init server: Could not connect: Connection refused
Traceback (most recent call last):
  File "/usr/sbin/anaconda", line 612, in <module>
    display.setup_display(anaconda, opts)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/display.py", line 346, in setup_display
    anaconda.initInterface()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/anaconda.py", line 284, in initInterface
    fullscreen=False, decorated=self.decorated)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/ui/gui/__init__.py", line 659, in __init__
    self.mainWindow = MainWindow(fullscreen=fullscreen, decorated=decorated)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/ui/gui/__init__.py", line 346, in __init__
    super().__init__()
  File "/usr/lib64/python3.7/site-packages/gi/overrides/Gtk.py", line 519, in __init__
    "Gtk couldn't be initialized. "
RuntimeError: Gtk couldn't be initialized. Use Gtk.init_check() if you want to handle this case.

The screen switched to sddm in VT1 after these errors happened.

Version-Release number of selected component (if applicable):
anaconda-0:30.25.6-4.fc30.x86_64
kf5-kwayland-0:5.59.0-2.fc30.x86_64
konsole5-0:19.04.2-1.fc30.x86_64
libwayland-client-0:1.17.0-1.fc30.x86_64
plasma-desktop-0:5.15.5-1.fc30.x86_64
python3-0:3.7.4-1.fc30.x86_64
qt5-qtwayland-0:5.12.4-3.fc30.x86_64
sddm-0:0.18.1-2.fc30.x86_64
xorg-x11-server-Xwayland-0:1.20.5-4.fc30.x86_64

How reproducible:
The anaconda startup errors happened each of a few times I tried in Plasma on Wayland.

Steps to Reproduce:
1. Boot F30 KDE Plasma spin installation fully updated with updates-testing enabled
2. Log in to Plasma on Wayland from sddm
3. sudo anaconda (in konsole)

Actual results:
Anaconda didn't start and showed errors connecting to the display server in Plasma on Wayland.

Expected results:
anaconda would start normally.

Additional info:

anaconda started correctly when I used Plasma on X. This issue is likely related to the use of Wayland. anaconda might not have been able to start or connect to XWayland. I'll attach /tmp/anaconda.log

Comment 1 Matt Fagnani 2019-07-14 13:57:25 UTC
Created attachment 1590516 [details]
/tmp/anaconda.log from running sudo anaconda in Plasma on Wayland

Comment 2 Ben Cotton 2020-04-30 21:33:47 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 16:09:43 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.